How to check tomcat version that catalog is using ?

Document ID : KB000015999
Last Modified Date : 14/02/2018
Show Technical Document Details
Introduction:

Catalog uses the tomcat server .  When installing catalog ,  catalog will use the tomcat that shipped with the product .  But the customers can download the tomcat that the customer site would like to use and then use catalog's "ant upgrade-tomcat" command to have catalog point and use the the tomcat that they want .  So , it is important to know how to check/verify  the tomcat the catalog is currently using . 

Question:

How to check tomcat version that catalog is using ?

Environment:
catalog 12.9 , 14.1, 17.0
Answer:

To check the tomcat version that your catalog is using , you can do the following : 
for example: suppose the URL for you to access your catalog GUI is : 
http://<hostname>:<port#>/usm/wpf 

if you purposely modify this URL a little bit and have it be a wrong one like this : 
http://<hostname>:<port#>/usm_abc 

and then you will get the HTTP 404 error and at the same time it will be able to tell you the tomcat version that your catalog is using , see the screenshot below :

tomcat.gif